

# [ init.py ]


from beebb.bb_sql import *
from beebb.bb_conf import rc


################################
# functions

def init():
	User.createTable()
	Session.createTable()
	TrialEmail.createTable()
	TrialUser.createTable()
	TrialReset.createTable()
	UserDetails.createTable()
	Board.createTable()
	Thread.createTable()
	Post.createTable()
	# insert data
	root = User(username=rc['admin'], passwd="*", email=rc['admin_email'], level=1.0)
	guest = User(username="guest", passwd="*", email="guest", level=0)
	exuser = User(username="ex-user", passwd="*", email="ex-user", level=-1)
	Board(title=rc['rootboard'], parentID=None, wlevel=1)
	UserDetails(user=guest, firstname="The Anonymous", lastname="Guest")
	UserDetails(user=root, firstname=rc['admin_name'].split()[0], lastname=rc['admin_name'].split()[1])
	UserDetails(user=exuser, firstname="Ex", lastname="User")


################################
# Initialize db

init()

