

# [ bb_valid.py ]


from bb_error import BeeBBError
from bb_conf import *


def validateEmail(email):
	if len(email) < 6:
		raise BeeBBError, "Email is too small."
	if len(email) > 128:
		raise BeeBBError, "%d characters in an email address are just too many!  Try using one with less than 128, please." % len(email)

def validatePasswd(passwd):
	if len(passwd) < int(rc['min_passwd']):
		raise BeeBBError, "Password is too small.  Should be at least %(min_passwd)s characters long." %rc
