#!/usr/local/bin/python


import beebb.bb_debug

from beebb import bb_html, bb_sql, bb_http
from beebb.bb_error import BeeBBError
from thief_grr.http import getGET, getIP
from thief_grr import easydict, file2str


GET = easydict(getGET(), default='')


page = GET['page']


try:
	if page == 'help':
		message = file2str('html/help.html')
	else:
		message = "Page not found."
	website = bb_html.Generic(message=unicode(message))
# Found a catch!
except BeeBBError, e:
	website = bb_html.Generic(message=unicode(e))
except IOError, e:
	website = bb_html.Generic(message="Page does not exist.")
	



# Print

website.send()
