#!/usr/local/bin/python


import beebb.bb_debug

from beebb import bb_html, bb_sql
from beebb.bb_error import BeeBBError
from beebb.bb_conf import rc
from thief_grr.http import getGET
from thief_grr import easydict

import time

now = time.time()

################################################################


GET = easydict(getGET(), default='')


boardid = GET['board']
offset = GET['offset']

try:
	viewboard = {}
	if boardid:
		board = bb_sql.Board.get(boardid)
		viewboard['board'] = board
	else:
		viewboard['board'] = bb_sql.rootboard
	if offset:
		viewboard['offset'] = offset
	website = bb_html.ViewBoard(**viewboard)

except AssertionError, e:
	website = bb_html.Generic(message="I don't think so:<br />"+unicode(e))


# Print
website.send()

if rc['benchmark'] == 'true':
	duration = time.time() - now
	fp = file('benchmark','a')
	fp.write(str(duration)+'\t'+str(viewboard)+'\n')
	fp.close()
