#!/usr/local/bin/python


import beebb.bb_debug

from beebb import bb_html, bb_sql, bb_http
from beebb.bb_error import BeeBBError
from thief_grr.http import getPOST, getIP
from thief_grr import easydict, MD5
import time


POST = easydict(getPOST(), default='')


bb_http.guestsonly()


username = POST['username'].strip().lower()
passwd = POST['passwd']
reset = POST['reset']
ip = getIP()



def validate():

	try:
		u = bb_sql.User.byUsername(username)
	except Exception, e:
		raise BeeBBError, "Login incorrect."
	else:
		if not u.hasPasswd(passwd) and not reset:
			raise BeeBBError, "Login incorrect."
		return u


# No POST vars at all
if not (username or passwd):
	website = bb_html.Login()

# They tried to log in
else:
	try:
		# Does this look ok?
		u = validate()
		# Reset passwd was requested
		if reset:
			# No need to reset it, logging them in.
			if u.hasPasswd(passwd):
				bb_http.bbSession().s.user = u
				msg = "This IS your password...  I have just logged you in with it!"
			# Start the reset process
			else:
				u.resetPasswd(passwd)
				msg = "An email with instructions has been sent to %s.  Follow them to reset your password." % u.username
		# Normal logging in
		else:
			bb_http.bbSession().s.user = u
			msg = "You have succesfully logged in."
	# Found a catch!
	except BeeBBError, e:
		website = bb_html.Login()
		website.addTop(body=unicode(e), css="error")
	else:
		website = bb_html.Generic(message=msg)


# Print

website.send()
