#!/usr/local/bin/python


import beebb.bb_debug

from beebb import bb_html, bb_sql
from beebb.bb_error import BeeBBError
from thief_grr.http import getGET
from thief_grr import easydict


GET = easydict(getGET())


try:
	viewthread = {}
	# post
	if GET['post']:
		post = bb_sql.Post.get(GET['post'])
		thread = post.thread
		viewthread['post'] = post
	# thread
	else:
		thread = bb_sql.Thread.get(GET['thread'])
		viewthread['thread'] = thread
		# offset
		if GET['offset']:
			viewthread['offset'] = int(GET['offset'])
	# order
	if GET['order']:
		viewthread['order'] = GET['order']
	# load it
	website = bb_html.ViewThread(**viewthread)

except BeeBBError, e:
	website = bb_html.Generic(message=unicode(e))



# Print
website.send()
