#!/usr/local/bin/python


import beebb.bb_debug

from beebb import bb_html, bb_sql, bb_http
from beebb.bb_error import BeeBBError
from thief_grr.http import getGET, getIP
from thief_grr import easydict


bb_http.membersonly()


GET = easydict(getGET(), default='')


what = GET['what']
which = GET['id']
areyousure = GET['areyousure']


user = bb_http.bbSession().user


def whatToDelete():
	if what == 'thread':
		try:
			return bb_sql.Thread.get(which)
		except:
			raise BeeBBError, "No such thread."
	
	elif what == 'board':
		try:
			return bb_sql.Board.get(which)
		except:
			raise BeeBBError, "No such board."
	
	elif what == 'post':
		try:
			return bb_sql.Post.get(which)
		except:
			raise BeeBBError, "No such post."
	
	else:
		raise BeeBBError, "What do you expect me to do?"


# Does everything look ok?
try:
	o = whatToDelete()
# Found a catch!
except BeeBBError, e:
	website = bb_html.Generic(message=unicode(e))
# All _seems_ valid
else:
	if areyousure:
		success = user.deleteObject(o)
		website = bb_html.Generic(message=success)
	else:
		warning = '''
		Are you sure?
		<a href="delete.py?what=%s&amp;id=%s&amp;areyousure=yes" title="Delete!">Yes!</a>
		''' % (what, which)
		website = bb_html.Generic(message=warning)



# Print

website.send()
