#!/usr/local/bin/python


import beebb.bb_debug

from beebb import bb_html, bb_sql, bb_http
from beebb.bb_error import BeeBBError
from thief_grr.http import getGET, getIP
from thief_grr import easydict


bb_http.membersonly()


GET = easydict(getGET(), default='')


what = GET['what']
which = GET['id']
user = bb_http.bbSession().user


def validate():

	if what == 'thread':
		try:
			o = bb_sql.Thread.get(which)
		except:
			raise BeeBBError, "No such thread."
		if not user.canLockThread(o):
			raise BeeBBError, "Permission denied.  Oh yes."
		return o

	if what == 'board':
		try:
			o = bb_sql.Board.get(which)
		except:
			raise BeeBBError, "No such board."
		if not user.canLockBoard(o):
			raise BeeBBError, "Permission denied.  Oh yes."
		return o




# Does everything look ok?
try:
	o = validate()
# Found a catch!
except BeeBBError, e:
	website = bb_html.Generic(message=unicode(e))
# All _seems_ valid
else:
	success = o.turnkey()
	website = bb_html.Generic(message=success)



# Print

website.send()
