#!/usr/local/bin/python


import beebb.bb_debug

from os import environ
from beebb import bb_html, bb_sql, bb_http
from beebb.bb_error import BeeBBError
from thief_grr.http import getPOST, getGET
from thief_grr import easydict, randstr


user = bb_http.membersonly()

method = environ.get("REQUEST_METHOD")

# Was there a POST or a GET?
if method == 'POST':
	VARS = easydict(getPOST(), default='')
	tousername = VARS['to']
	message = VARS['message']
	try:
		if tousername and message:
			to = bb_sql.User.byUsername(tousername)
			user.pm(to=to, message=message)
		else:
			raise BeeBBError, "Ok.  You want me to send a message.  Please give me <em>both</em> the message and the recepient."
	except BeeBBError, e:
		website = bb_html.Generic(message=unicode(e))
	except Exception, e:
		website = bb_html.Generic(message=unicode(e))
	else:
		website = bb_html.Generic(message='''Message sent to %s!''' % to.username)
		if not user.options['accept_messages']:
			website.addTop(head="Warning", body='''You do not accept messages at the moment.  %s won't be able to reply to you unless they know your email address.  You can edit your <a href="account.py" title="Account preferences">account preferences</a>, to start accepting messages.''' % tousername)

	

else:
	VARS = easydict(getGET(), default='')
	tousername = VARS['to']
	try:
		if tousername:
			to = bb_sql.User.byUsername(tousername)
		else:
			to = None
	except BeeBBError, e:
		website = bb_html.Generic(message=unicode(e))
	except Exception, e:
		website = bb_html.Generic(message=unicode(e))
	else:
		website = bb_html.PM(to=to)



# Print

website.send()
